Rem Program - matop.bas
Rem Menu Program For Matrix operations
Rem Note : The programs - matadd, matsub, matmul, invdet should be
Rem         available in executable binary form in the current path
Rem         before this program is used.
Do
   cls
   print "MATRIX OPERATIONS MENU"
   print "======================"
   print "1. Matrix Addition"
   print "2. Matrix Subtraction"
   print "3. Matrix Multiplication"
   print "4. Matrix Inverse"
   print "5. Determinant of Matrix"
   print "6. Quit"
   print
   Input "Enter Option : ", opt
   cls
   If opt = 1 then
      shell "matadd"
   elseif opt = 2 then
      shell "matsub"
   elseif opt = 3 then
      shell "matmul"
   elseif opt = 4 then
      shell "invdet I"
   elseif opt = 5 then
      shell "invdet D"
   elseif opt = 6 then
       exit do
   end if
Rem ---------PAUSE----------------------
   input "Press ENTER key to continue", x$
Loop
End
